> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取类别样本列表

> 获取指定文件类别的样本列表



## OpenAPI

````yaml /docflow/cn/rest-api/openapi.bundle.yaml get /api/app-api/sip/platform/v2/category/sample/list
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API，提供文件上传和获取文件处理结果能力
  version: 2.8.4
servers:
  - url: https://docflow.textin.com
security:
  - ApiId: []
    SecretCode: []
paths:
  /api/app-api/sip/platform/v2/category/sample/list:
    get:
      tags:
        - 文件类别样本
      summary: 获取类别样本列表
      description: 获取指定文件类别的样本列表
      operationId: listCategorySamples
      parameters:
        - name: workspace_id
          in: query
          description: 空间ID
          required: true
          schema:
            type: string
            example: '1234567890'
        - name: category_id
          in: query
          description: 文件类别ID
          required: true
          schema:
            type: string
            example: '1234567890'
        - name: page
          in: query
          description: 页码
          required: false
          schema:
            type: integer
            default: 1
        - name: page_size
          in: query
          description: 每页数量
          required: false
          schema:
            type: integer
            default: 20
      responses:
        '200':
          description: 成功获取类别样本列表
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - type: object
                    properties:
                      result:
                        type: object
                        properties:
                          total:
                            type: integer
                            description: 样本总数
                            example: 10
                          page:
                            type: integer
                            description: 当前页码
                            example: 1
                          page_size:
                            type: integer
                            description: 每页数量
                            example: 20
                          samples:
                            type: array
                            items:
                              $ref: '#/components/schemas/CategorySample'
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: 状态码
          example: 200
        msg:
          type: string
          description: 状态描述
      required:
        - code
        - msg
    CategorySample:
      type: object
      description: 文件类别样本
      properties:
        sample_id:
          type: string
          description: 样本ID
          example: '1234567890'
        file_name:
          type: string
          description: 文件名
          example: invoice_sample.pdf
      required:
        - sample_id
        - file_name
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````